Ticket #4119 (closed defect: fixed)

Opened 8 years ago

Last modified 8 years ago

IE6 でファイルを更新しても更新前のファイルがダウンロードされる

Reported by: urabe Assigned to: urabe
Priority: minor Milestone: OpenPNE2.14.1
Component: 指定しない Version: 2.12.x & 2.14.x
Keywords: OpenPNE2.12.13 Cc:

Description (Last modified by urabe)

■現象

IE6 でファイルを更新しても更新前のファイルがダウンロードされる (今回は一旦2.12で対応)

■発生バージョン

  • 全バージョン

■再現手順

  1. コミュニティ→トピック作成
  2. ファイルAをアップロード→作成
  3. ファイルAをダウンロードする→正常にダウンロード
  4. トピック編集→削除をせずに、ファイルBをアップロード
  5. 表示はファイルBとなっている→ファイルBをダウンロード
  6. ファイルBではなくファイルAがダウンロードされている

■環境

バグが発生した環境を記入

  • Windows XP
  • IE6
  • CentOS5

■原因

IE6でキャッシュが消えない現象が発生する

■修正内容

URLにタイムスタンプを追加して、ブラウザに異なるURLであると認識させる

■関連情報

#4146

Change History

07/14/09 16:01:23 changed by urabe

  • version set to 2.12.x & 2.14.x.

07/15/09 18:51:17 changed by urabe

  • keywords set to 確認中.
  • description changed.
  • milestone set to OpenPNE2.12.13.

ファイルのURLにタイムスタンプを追加しました。2.12.13で取り込むとのことなので、以下のリビジョンでコミットしました。

07/15/09 19:00:25 changed by kiwa

  • type changed from enhancement to defect.

07/15/09 19:04:22 changed by kiwa

  • keywords changed from 確認中 to OpenPNE2.12.13 確認中.
  • milestone changed from OpenPNE2.12.13 to OpenPNE2.14.1.

07/15/09 19:31:52 changed by shingo

  • keywords changed from OpenPNE2.12.13 確認中 to OpenPNE2.12.13 差し戻し.

?m=admin&a=do_csv_memberにて「ページが見つかりません。」と表示されダウンロードできませんでした。

07/15/09 20:09:08 changed by urabe

  • keywords changed from OpenPNE2.12.13 差し戻し to OpenPNE2.12.13 確認中.

以下のリビジョンで修正しました。

(follow-up: ↓ 11 ) 07/16/09 14:32:45 changed by shingo

確認しました。
以下の懸念点がありますが今回は良しとします。

  • r2842 の変更が不要になる
  • URL末尾にタイムスタンプの記述を補うsmartyプラグイン関数を作成し、ファイルダウンロードを追記するときのタイムスタンプの記述忘れを防ぐべきではないか

07/16/09 14:33:27 changed by shingo

  • keywords changed from OpenPNE2.12.13 確認中 to OpenPNE2.12.13 テスト待ち.

07/16/09 14:35:58 changed by urabe

  • description changed.

07/16/09 17:57:33 changed by imamura623

  • keywords changed from OpenPNE2.12.13 テスト待ち to OpenPNE2.12.13.
  • status changed from new to closed.
  • resolution set to fixed.

動作テストしました

  • IE6、IE7、IE8にて確認し問題無し
  • アップロードし直したファイルがダウンロードされることを確認

問題無いようなので、このチケットを閉じます

(in reply to: ↑ 7 ) 07/17/09 16:19:27 changed by shingo

Replying to shingo:

* r2842 の変更が不要になる


訂正します。正しくは#2842 です

(follow-up: ↓ 14 ) 07/21/09 15:27:32 changed by urabe

以下のリビジョンでコミットしました。

07/21/09 15:28:26 changed by urabe

  • keywords changed from OpenPNE2.12.13 to OpenPNE2.14.1 確認中.
  • status changed from closed to reopened.
  • resolution deleted.

(in reply to: ↑ 12 ) 07/21/09 16:25:07 changed by urabe

  • status changed from reopened to closed.
  • resolution set to fixed.
  • description changed.

Replying to urabe:

以下のリビジョンでコミットしました。 * r12331 (trunk) * r12332 (stable2.14.x)

上記の件は #4146 で対応しますので CLOSEします。

07/21/09 16:25:44 changed by urabe

  • keywords changed from OpenPNE2.14.1 確認中 to OpenPNE2.12.13.